#include "pca_remeshing.h"
#include <string>
using namespace std;

string in_file;
string out_file;
int simplified_num;

#include <iostream>
int main(int argc, char *argv[])
{
	//usage : in_file out_file contration_num
	in_file = string(argv[1]);
	out_file = string(argv[2]);
	simplified_num = atoi(argv[3]);

	PCA_Remeshing pca_remeshing;
	pca_remeshing.setDecimateNum(simplified_num);
	pca_remeshing.readOffFile(in_file);
	pca_remeshing.init();
	pca_remeshing.decimate();
	pca_remeshing.init_swap();
	pca_remeshing.swap_always();

	pca_remeshing.generate_poly_mesh();
	pca_remeshing.generate_CDT_mesh();
}
